Subject: [bug#62223] [PATCH] image: Prefer gpt partition table for efi disk images

From: Sergey Trofimov <[email-masked]>
Date: Wed, 22 Mar 2023 13:48:47 +0100

Josselin Poiret <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Hi Sergey,
>
> Thanks for the patch!  First off, if you want to add a comment 
> to your
> mail but not to the commit message, you should add it below the 
> first --
> (under the commit message), before the diff, that way it doesn't 
> end up
> in the commit message.
>

Thanks, noted.

>
> With this applied, I cannot build an example qcow2 image using 
> `guix
> system image -t qcow2 gnu/system/examples/bare-bones.tmpl`.  It 
> fails
> when installing GRUB onto the image.  Sure enough, the
> install-grub-disk-image procedure seems to only support MBR. 
> Could you
> also have a look at this?

Yeah, I'm glad you've caught that. qcow2 should be mbr style by 
default. I'll send a v2 for that.